package com.hai.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component("commonSysConfig")
@ConfigurationProperties
@PropertySource("classpath:/commonConfig.properties")
public class CommonSysConfig {

    private String tuanYouUrl;
    private String tuanYouAppKey;
    private String tuanYouAppSecret;
    private String tuanYouDieselAccount;   // 柴油账号
    private String tuanYouGasolineAccount; // 汽油账号

    private String qinzhuUrl;
    private String qinzhuHtmlUrl;
    private String qinzhuMobileUrl; // 话费充值地址
    private String qinzhuPlatformId;
    private String qinzhuSecret;
    private String qianzhuOrderNotify;

    private String huiliantongUrl;
    private String huiliantongAppNo;
    private String huiliantongAppkey;
    private String huiliantongAppsecret;

    private String HuiLianTongUnionCardUrl;
    private String HuiLianTongUnionCardAccessCode;
    private String HuiLianTongUnionCardSignCode;

    private String HltMembershipLevelAccessCode;
    private String HltMembershipLevelSignCode;

    private String unionPayUrl;
    private String unionPayChannelid;
    private String unionPayMerid;
    private String unionPayTermid;
    private String unionPaySignKey;
    private String unionPayNotifyUrl;
    private String unionPayTelNotifyUrl;


    private String unionStagingPayUrl;
    private String unionStagingPayOrgId;
    private String unionStagingPayOrgMerCode;
    private String unionStagingPayOrgTermNo;
    private String unionStagingPaySignKey;
    private String unionStagingPayNotifyUrl;

    private String wx_cert;

    private String telApiKey;
    private String telApiSecret;
    private String telMemberId;
    private String telUrl;
    private String czOrderNotify;

    public String getTuanYouUrl() {
        return tuanYouUrl;
    }

    public void setTuanYouUrl(String tuanYouUrl) {
        this.tuanYouUrl = tuanYouUrl;
    }

    public String getTuanYouAppKey() {
        return tuanYouAppKey;
    }

    public void setTuanYouAppKey(String tuanYouAppKey) {
        this.tuanYouAppKey = tuanYouAppKey;
    }

    public String getTuanYouAppSecret() {
        return tuanYouAppSecret;
    }

    public void setTuanYouAppSecret(String tuanYouAppSecret) {
        this.tuanYouAppSecret = tuanYouAppSecret;
    }

    public String getTuanYouDieselAccount() {
        return tuanYouDieselAccount;
    }

    public void setTuanYouDieselAccount(String tuanYouDieselAccount) {
        this.tuanYouDieselAccount = tuanYouDieselAccount;
    }

    public String getTuanYouGasolineAccount() {
        return tuanYouGasolineAccount;
    }

    public void setTuanYouGasolineAccount(String tuanYouGasolineAccount) {
        this.tuanYouGasolineAccount = tuanYouGasolineAccount;
    }

    public String getQinzhuUrl() {
        return qinzhuUrl;
    }

    public void setQinzhuUrl(String qinzhuUrl) {
        this.qinzhuUrl = qinzhuUrl;
    }

    public String getQinzhuHtmlUrl() {
        return qinzhuHtmlUrl;
    }

    public void setQinzhuHtmlUrl(String qinzhuHtmlUrl) {
        this.qinzhuHtmlUrl = qinzhuHtmlUrl;
    }

    public String getQinzhuMobileUrl() {
        return qinzhuMobileUrl;
    }

    public void setQinzhuMobileUrl(String qinzhuMobileUrl) {
        this.qinzhuMobileUrl = qinzhuMobileUrl;
    }

    public String getQinzhuPlatformId() {
        return qinzhuPlatformId;
    }

    public void setQinzhuPlatformId(String qinzhuPlatformId) {
        this.qinzhuPlatformId = qinzhuPlatformId;
    }

    public String getQinzhuSecret() {
        return qinzhuSecret;
    }

    public void setQinzhuSecret(String qinzhuSecret) {
        this.qinzhuSecret = qinzhuSecret;
    }

    public String getQianzhuOrderNotify() {
        return qianzhuOrderNotify;
    }

    public void setQianzhuOrderNotify(String qianzhuOrderNotify) {
        this.qianzhuOrderNotify = qianzhuOrderNotify;
    }

    public String getHuiliantongUrl() {
        return huiliantongUrl;
    }

    public void setHuiliantongUrl(String huiliantongUrl) {
        this.huiliantongUrl = huiliantongUrl;
    }

    public String getHuiliantongAppNo() {
        return huiliantongAppNo;
    }

    public void setHuiliantongAppNo(String huiliantongAppNo) {
        this.huiliantongAppNo = huiliantongAppNo;
    }

    public String getHuiliantongAppkey() {
        return huiliantongAppkey;
    }

    public void setHuiliantongAppkey(String huiliantongAppkey) {
        this.huiliantongAppkey = huiliantongAppkey;
    }

    public String getHuiliantongAppsecret() {
        return huiliantongAppsecret;
    }

    public void setHuiliantongAppsecret(String huiliantongAppsecret) {
        this.huiliantongAppsecret = huiliantongAppsecret;
    }

    public String getHuiLianTongUnionCardUrl() {
        return HuiLianTongUnionCardUrl;
    }

    public void setHuiLianTongUnionCardUrl(String huiLianTongUnionCardUrl) {
        HuiLianTongUnionCardUrl = huiLianTongUnionCardUrl;
    }

    public String getHuiLianTongUnionCardAccessCode() {
        return HuiLianTongUnionCardAccessCode;
    }

    public void setHuiLianTongUnionCardAccessCode(String huiLianTongUnionCardAccessCode) {
        HuiLianTongUnionCardAccessCode = huiLianTongUnionCardAccessCode;
    }

    public String getHuiLianTongUnionCardSignCode() {
        return HuiLianTongUnionCardSignCode;
    }

    public void setHuiLianTongUnionCardSignCode(String huiLianTongUnionCardSignCode) {
        HuiLianTongUnionCardSignCode = huiLianTongUnionCardSignCode;
    }

    public String getUnionPayUrl() {
        return unionPayUrl;
    }

    public void setUnionPayUrl(String unionPayUrl) {
        this.unionPayUrl = unionPayUrl;
    }

    public String getUnionPayChannelid() {
        return unionPayChannelid;
    }

    public void setUnionPayChannelid(String unionPayChannelid) {
        this.unionPayChannelid = unionPayChannelid;
    }

    public String getUnionPayMerid() {
        return unionPayMerid;
    }

    public void setUnionPayMerid(String unionPayMerid) {
        this.unionPayMerid = unionPayMerid;
    }

    public String getUnionPayTermid() {
        return unionPayTermid;
    }

    public void setUnionPayTermid(String unionPayTermid) {
        this.unionPayTermid = unionPayTermid;
    }

    public String getUnionPaySignKey() {
        return unionPaySignKey;
    }

    public void setUnionPaySignKey(String unionPaySignKey) {
        this.unionPaySignKey = unionPaySignKey;
    }

    public String getUnionPayNotifyUrl() {
        return unionPayNotifyUrl;
    }

    public void setUnionPayNotifyUrl(String unionPayNotifyUrl) {
        this.unionPayNotifyUrl = unionPayNotifyUrl;
    }

    public String getUnionPayTelNotifyUrl() {
        return unionPayTelNotifyUrl;
    }

    public void setUnionPayTelNotifyUrl(String unionPayTelNotifyUrl) {
        this.unionPayTelNotifyUrl = unionPayTelNotifyUrl;
    }

    public String getUnionStagingPayUrl() {
        return unionStagingPayUrl;
    }

    public void setUnionStagingPayUrl(String unionStagingPayUrl) {
        this.unionStagingPayUrl = unionStagingPayUrl;
    }

    public String getUnionStagingPayOrgId() {
        return unionStagingPayOrgId;
    }

    public void setUnionStagingPayOrgId(String unionStagingPayOrgId) {
        this.unionStagingPayOrgId = unionStagingPayOrgId;
    }

    public String getUnionStagingPayOrgMerCode() {
        return unionStagingPayOrgMerCode;
    }

    public void setUnionStagingPayOrgMerCode(String unionStagingPayOrgMerCode) {
        this.unionStagingPayOrgMerCode = unionStagingPayOrgMerCode;
    }

    public String getUnionStagingPayOrgTermNo() {
        return unionStagingPayOrgTermNo;
    }

    public void setUnionStagingPayOrgTermNo(String unionStagingPayOrgTermNo) {
        this.unionStagingPayOrgTermNo = unionStagingPayOrgTermNo;
    }

    public String getUnionStagingPaySignKey() {
        return unionStagingPaySignKey;
    }

    public void setUnionStagingPaySignKey(String unionStagingPaySignKey) {
        this.unionStagingPaySignKey = unionStagingPaySignKey;
    }

    public String getUnionStagingPayNotifyUrl() {
        return unionStagingPayNotifyUrl;
    }

    public void setUnionStagingPayNotifyUrl(String unionStagingPayNotifyUrl) {
        this.unionStagingPayNotifyUrl = unionStagingPayNotifyUrl;
    }

    public String getWx_cert() {
        return wx_cert;
    }

    public void setWx_cert(String wx_cert) {
        this.wx_cert = wx_cert;
    }

    public String getTelApiKey() {
        return telApiKey;
    }

    public void setTelApiKey(String telApiKey) {
        this.telApiKey = telApiKey;
    }

    public String getTelApiSecret() {
        return telApiSecret;
    }

    public void setTelApiSecret(String telApiSecret) {
        this.telApiSecret = telApiSecret;
    }

    public String getTelMemberId() {
        return telMemberId;
    }

    public void setTelMemberId(String telMemberId) {
        this.telMemberId = telMemberId;
    }

    public String getTelUrl() {
        return telUrl;
    }

    public void setTelUrl(String telUrl) {
        this.telUrl = telUrl;
    }

    public String getCzOrderNotify() {
        return czOrderNotify;
    }

    public void setCzOrderNotify(String czOrderNotify) {
        this.czOrderNotify = czOrderNotify;
    }

    public String getHltMembershipLevelAccessCode() {
        return HltMembershipLevelAccessCode;
    }

    public void setHltMembershipLevelAccessCode(String hltMembershipLevelAccessCode) {
        HltMembershipLevelAccessCode = hltMembershipLevelAccessCode;
    }

    public String getHltMembershipLevelSignCode() {
        return HltMembershipLevelSignCode;
    }

    public void setHltMembershipLevelSignCode(String hltMembershipLevelSignCode) {
        HltMembershipLevelSignCode = hltMembershipLevelSignCode;
    }
}
